body{ 
	background-color: #F8FAF8;
	overflow: hidden;
}


img{
	max-height:100%; 
	max-width:100%;
}


.board{
	margin-left: 30%;
    margin-right: auto;
	z-index: 1;
	padding-top: 2%;
	z-index: 1;
}


.table_board td {
	border-collapse: collapse;
	border: 1px solid black;
	font-size: 2vw;
	background-color: #FFFFFF;
	height:4vw;
	width:4vw;
	text-align:center;
	vertical-align:middle;
}

.table_board tr:nth-child(odd) td:nth-child(even),
.table_board tr:nth-child(even) td:nth-child(odd) {
	background-color: #E6E6E6;
}


.field_white, .field_black, .field_trap, .field_faded, 
.field_move_white, .field_move_black, .field_move_trap,
.field_invisible{
	display: inline-block;
	border-style: solid;
	border-width: 1px;
	z-index: 1;

	/* Height and Width */
	height: 45px;
	width: 45px;
}

.field_white{
	background-color: #FFFFFF;
}

.field_black{
	background-color: #E6E6E6;
}

.field_trap{ 
	background-color: #FF9D9E;
}

.field_faded{ 
	background-color: #757B80;
}

.field_move_white{ 
	background-color: #95D9FA;
}

.field_move_black{ 
	background-color: #95D9FA;
}

.field_move_trap{ 
	background-color: #D6B3BF;
}

.field_invisible{
	/* For numeration A-H, 1-8 */

	display: inline-block;
	border-style: hidden;
	border-width: 0px;	
	font-size: 2em;
	text-align: center;
	vertical-align: middle;
	z-index: 1;
}

.player_circle, .bot_circle{
	border-radius: 1em;
	text-align: center;
	vertical-align: middle;
	font-size: 3.5vw;

	/* Height and Width */
	height: 4vw;
	width: 4vw;
}

.player_circle{
	background-color: #FFDA50;
}

.bot_circle{
	background-color: #CBCBCB;
}

.player_side{
	float: left;
	top: 5%;
}

.bot_side{
	float: right;
	top: 5%;
}

.player_box{
	position: relative;
	margin-top: 30%;	
	background-color: #FFFFFF;
	border-style: solid;
    border-color: #CBCBCB;
    border-width: 1px;

	/* Height and Width */
	height: 21vw;
	width: 14vw;
}

.player_table{
	position: absolute;
	top: 5%;
	width: 100%;
	text-align: center;
	font-size: 1.5vw;
}

.timeAccount_player, .timeAccount_bot{
	margin-top: 5%;
	border-style: solid;
    border-color: #000000;
    border-width: 1px;

    /* Height and Width */
    font-size: 1.5vw;
	height: 4vw;
	width: 14vw;
}

.timeAccount_player{
	background-color: #DEB8FF;
}

.timeAccount_bot{
	background-color: #FCFCFC;
}

.turn_box{
	border-color: #868686;
    border-width: 1px;
    z-index: 1;

    /* Height and Width */
	height: 191px;
	width: 38px;
}

.turn_dot, .turn_dot_empty, .turn_dot_faded{
	border-style: solid;
    border-width: 2px;
	border-radius: 2em;
	z-index: 2;

	/* Height and Width */
	height: 19px;
	width: 19px;
}

.turn_dot{
	background-color: #66CCFF;
    border-color: #66CCFF;
}

.turn_dot_empty{
	background-color: #FFFFFF;
    border-color: #868686;
}

.turn_dot_faded{
	background-color: #FFFFFF;
    border-color: #66CCFF;
}

/* Buttons */

.options_tab_button,.help_tab_button,.history_tab_button,.trapped_tab_button{
	font-size: 1.5vw;
	outline : none;
	position: absolute;
	text-align: center;
	vertical-align: middle;
	border-style: solid;
    border-color: #a6e6ff;
    border-width: 1px;
	background-color: #FFFFFF;
	z-index: 10;
}

.options_tab_button{
	top: 1px;
	left: 10%;
	border-bottom-right-radius:1em;
	border-bottom-left-radius:1em;

	/* Height and Width */
	height: 2.75vw;
	width: 8vw;
}

.options_tab_button:active{
	top: 1px;
}

.options_tab_box{
	position: absolute;
	background-color: #6B6B6B;
	top: 1px;
	margin: auto;
    z-index: 15;

    transition: all 300ms ease;

	/* Height and Width */
	left: 0px;
	height: 20vw;
	width: 100vw;

	visibility: hidden;
	opacity: 0.5;
}


.help_tab_button{
	top: 1px;
	left: 20%;
	border-bottom-right-radius:1em;
	border-bottom-left-radius:1em;

	/* Height and Width */
	height: 2.75vw;
	width: 8vw;
}

.help_tab_box{
	position: absolute;
	background-color: #FFFFFF;
	top: 1px;
	margin: auto;
	border-style: solid;
    border-color: #000000;
    border-width: 1px;
    z-index: 15;
    overflow-y: hidden;

    transition: all 300ms ease;

	/* Height and Width */
	height: 0px;
	width: 0;

	visibility: hidden;
	opacity: 0;
}






.history_tab_button{
	bottom: 10%;
	left: 1px;
	border-top-right-radius:1em;
	border-bottom-right-radius:1em;

	transition: all 300ms ease;

	/* Height and Width */
	height: 8vw;
	width: 2.75vw;
}

.history_tab_box{
	position: absolute;
	background-color: #FFFFFF;
	left: 0px;
	top: 0px;
	bottom: 0px;
	margin: auto;
	border-style: solid;
    border-color: #000000;
    border-width: 1px;
    z-index: 10;
    overflow-y: hidden;

    transition: all 300ms ease;

	/* Height and Width */
	width: 0;

	visibility: hidden;
}




.trapped_tab_button{
	bottom: 1px;
	right: 5%;
	border-top-right-radius:1em;
	border-top-left-radius:1em;

	transition: all 300ms ease;

	/* Height and Width */
	height: 2.75vw;
	width: 8vw;
}


.trapped_tab_box{
	position: absolute;
	background-color: #FFFFFF;
	bottom: 0px;
	left: 0px;
	right: 0px;
	margin: auto;
	border-top-style: solid;
    border-top-color: #000000;
    border-top-width: 1px;
    z-index: 10;
    overflow-y: hidden;

    transition: all 300ms ease;

	/* Height and Width */
	height: 0;

	visibility: hidden;
}


.piece_box{
	display: inline-block;
	position: relative;
	left: 34%;
	padding-top: 1%;
}

.piece_table td{
	font-size: 2vw;
	background-color: #FFFFFF;
	border-style: solid;
	border-color: #000000;
	border-width: 1px;
	height:6vw;
	width:4vw;
	text-align:center;
	vertical-align:middle;
}


.done_button, .yes_button, .no_button{
	font-size: 1.5vw;
	border-style: solid;
    border-width: 1px;
	border-radius: 1vw;
	text-align: center;
	vertical-align: middle;
	z-index: 2;

	/* Height and Width */
	height: 2.5vw;
	width: 7vw;
}

.done_button{
	position: relative;
	margin-top: -5.25%;
	left: 35%;
	display: inline-block;
	/*background-color: #B7FFAF;*/
    background-color: #E6E6E6;
    /*border-color: #6DD505;*/
    border-color: #000000;
}

.yes_button{
	background-color: #B7FFAF;
    border-color: #6DD505;
}

.no_button{
	background-color: #FFCFDB;
    border-color: #D53100;
}